DROP TABLE pricing.pricelist_ranged;

CREATE TABLE pricing.pricelist_ranged (
	jcplcd varchar(5) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	jcpart varchar(20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	jcunit varchar(3) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	jcvoll numeric(12,5) NOT NULL,
	jcpric numeric(12,5) NOT NULL,
	vb_from float NULL,
	vb_to float NULL,
	price float NOT NULL
);

CREATE NONCLUSTERED INDEX pricelist_ranged_idx ON FAnalysis.PRICING.pricelist_ranged (  jcpart ASC  , jcplcd ASC  , vb_from ASC  , vb_to ASC  )  ;
